Subject: Re: [PATCH v2 00/22] Header cleanups (more splitting of cache.h and simplifying a few other deps)

From: Derrick Stolee <[email-masked]>
Date: Mon, 24 Apr 2023 11:19:47 -0400

On 4/22/2023 4:17 PM, Elijah Newren via GitGitGadget wrote:
> Changes since v1:
> 
>  * dropped the 3rd patch (it was pulled into the series this one depends
>    upon to fix an issue in it)
>  * redid the old patch 14 (new patch 13); moved the parts of hash.h not
>    depending on repository.h into hash-ll.h so that other headers and files
>    could depend upon just that part. (Are people happy with the hash-ll.h
>    name or have alternate suggestions?)

Thank you for this change. I looked at patch 13 and was pleased to see
several uses of hash-ll.h (more than I expected). I'm also happy with the
name.

v2 LGTM.

Thanks,
-Stolee